<template>
  <div class="f_box" @dragover.prevent @drop="handleDrop">
    <div class="f_box_top">
      <div class="f_box_top_left">
        <el-breadcrumb separator="/">
          <el-breadcrumb-item style="color: #000;font-weight: 600;"><span @click="goBackPage">根目录</span></el-breadcrumb-item>
          <el-breadcrumb-item>{{ data.name }}</el-breadcrumb-item>
        </el-breadcrumb>
      <!-- <div class="f_box_top_title">文件</div> -->
      </div>
      <div class="f_box_top_right">

        <div class="input">
          <input
            type="text"
            v-model="fileName"
            placeholder="请输入你需要搜索的文件名字"
            @input="debouncedSearch"
          />
          <div class="serch"></div>
        </div>

        <el-button type="primary" size="small" @click="serchFile"
          >
          <img style="vertical-align: middle;transform: scale(1.1);padding-bottom: 2px;box-sizing: border-box;" src="../../../assets/shuax.svg" alt="">
          刷新</el-button
        >
        <el-button v-if="userid == data.userid" type="primary" icon="el-icon-plus" size="small" @click="addImg($event)"
          >上传文件
          <input
            type="file"
            accept="*"
            style="display: none"
            multiple="multiple"
            @change="beforeUpload($event)"
        /></el-button>
        <el-button
          type="primary"
          size="small"
          @click="openG"
          v-if="userid == data.userid && data.isMo == '2'"
          >
          <img style="vertical-align: middle;" src="../../../assets/ETL.svg" alt="">
          关联文件</el-button
        >

        <el-button type="primary"  v-if="checkArray.length && userid == data.userid " size="small" @click="batchRemove"
          >
          <img style="vertical-align: middle;padding-bottom: 3px;" src="../../../assets/yichuBtn.svg" alt="">
          移除</el-button
        >
        <el-button type="danger" style="background: #F56C6C;" v-if="checkArray.length && userid == data.userid " size="small" @click="batchDelete"
          >
          <img style="vertical-align: middle;padding-bottom: 3px;" src="../../../assets/delBtn.svg" alt="">
          删除</el-button
        >
        <div v-if="checkArray.length" style="margin-left: 12px;color: #b0b0b0;font-size: 14px;flex-shrink: 0;line-height: 35px;">已选文件{{checkArray.length}}个</div>

        <!-- <div class="btn" @click="serchFile">刷新</div>
        <div class="btn" @click="addImg($event)">
          上传文件
          <input
            type="file"
            accept="*"
            style="display: none"
            multiple="multiple"
            @change="beforeUpload($event)"
          />
        </div> -->
        <!-- <div class="btn" @click="openG" v-if="userid == data.userid && data.isMo == '2'">关联文件</div>
        <div class="btn" @click="batchRemove">移除</div>
        <div class="btn delBtn" @click="batchDelete">删除</div> -->
      </div>
    </div>

    <!-- <div class="f_box_top">
      <div class="f_box_top_left"></div>
      <div class="f_box_top_right">
        
      </div>
    </div> -->
    <!-- <div class="none_box" v-if="fileArray.length == 0">暂无上传文件</div> -->
    <!-- v-else-if="stype == '2' && fileArray.length" -->

    <div
      class="f_box_file_list"
      v-loading.body="isLoading"
    >
      <div class="list_file_box">
        <el-table
          :data="fileArray"
          border
          style="width: 100%"
          @selection-change="handleSelectionChange"
          ref="myTable"
          :row-key="row => row.id"
        >
        <template #empty>
          <div class="customC">
            <div style="height: 50px;line-height: 50px;width: 47.4px;">
              <img style="width: 100%;" src="../../../assets/flieKong.svg" alt="">
            </div>
            <div style="height: 50px;line-height: 40px;">暂无数据内容...</div>
          </div>
        </template>
          <el-table-column
            type="selection"
            width="50px"
            :reserve-selection="true"
          ></el-table-column>
          <el-table-column
            prop="name"
            label="文件名"
            show-overflow-tooltip
            min-width="15"
          ></el-table-column>
          <el-table-column
            prop="folderName"
            label="所属文件夹"
            show-overflow-tooltip
            min-width="20"
          ></el-table-column>
          <el-table-column
            prop="username"
            label="拥有者"
            show-overflow-tooltip
            width="120"
          ></el-table-column>
          
          <el-table-column label="处理状态" width="120px">
            <template slot-scope="scope">
              {{ getState(scope.row.ingestionStatus) }}
            </template>
          </el-table-column>
          <el-table-column label="是否提取" width="120px">
            <template slot-scope="scope">
              {{ getState2(scope.row.extractionStatus) }}
            </template>
          </el-table-column>
          <el-table-column
            label="文件类型"
            show-overflow-tooltip
            width="120"
          >
            <template slot-scope="scope">
              {{ scope.row.documentType ? scope.row.documentType : "-" }}
            </template>
          </el-table-column>
          <!-- <el-table-column label="公开状态" show-overflow-tooltip width="80px"></el-table-column> -->
          <el-table-column
            prop="time"
            label="上传时间"
            show-overflow-tooltip
            min-width="20"
          ></el-table-column>
          <el-table-column label="操作" width="100px">
            <template slot-scope="scope">
              <el-popover
                  placement="bottom-end"
                  trigger="hover"
                  visible-arrow
                  popper-class="custom-popover"
                  width="100px"
                  >
                  <div  class="BtnHP">
                    <div class="BtnHPDel1">
                      <!-- <el-button
                        type="primary"
                        size="small"
                        @click="extractFile(scope.row)"
                        v-if="userid == data.userid "
                        :disabled="scope.row.ingestionStatus == 'failed'"
                        >提取</el-button
                      > -->
                      <div class="btnBh" 
                        @click="extractFile(scope.row)"
                        @mouseover="isHover = true"
                        v-if="userid == data.userid "
                        :disabled="scope.row.ingestionStatus == 'failed'"
                        @mouseleave="isHover = false">
                        <img 
                        style="width: 14px;"
                        :src="isHover ? tqList2 : tqList" 
                          alt="">
                        <span :class="isHover ? 'lookHp2' : 'lookHp1'">提取</span>
                      </div>
                      <!-- <el-button
                        type="primary"
                        size="small"
                        @click="checkFile(scope.row)"
                        :disabled="scope.row.ingestionStatus == 'failed'"
                        >查看</el-button
                      > -->
                      <div class="btnBh" 
                      @click="checkFile(scope.row)"
                        @mouseover="isHover2 = true"
                        :disabled="scope.row.ingestionStatus == 'failed'"
                        @mouseleave="isHover2 = false">
                        <img 
                        :src="isHover2 ? look2 : look1" 
                          alt="">
                        <span :class="isHover2 ? 'lookHp2' : 'lookHp1'">查看</span>
                      </div>
                    </div>


                    <div class="btnBh" 
                        @click="removeFile(scope.row.id, scope.row.documentid)"
                        @mouseover="isHover3 = true"
                        v-if="userid == data.userid && data.isMo == '2'"
                        @mouseleave="isHover3 = false">
                        <img 
                        style="width: 14px;"
                        :src="isHover3 ? yichu2 : yichu" 
                          alt="">
                        <span :class="isHover3 ? 'lookHp2' : 'lookHp1'">移除</span>
                      </div>

                    <!-- <el-button
                      type="primary"
                      size="small"
                      v-if="userid == data.userid && data.isMo == '2'"
                      @click="removeFile(scope.row.id, scope.row.documentid)"
                      >移除</el-button
                    > -->


                    <!-- <el-button
                      type="danger"
                      size="small"
                      v-if="userid == scope.row.userid"
                      @click="deleteFile(scope.row.id, scope.row.documentid)"
                      >删除</el-button
                    > -->
                    <div style="background-color: #e7e7e7;width: 100%;height: .5px;margin: 5px 0;"></div>
                    <div class="BtnHPDel">
                      <div class="btnBh2" 
                      @click="deleteFile(scope.row.id, scope.row.documentid)"
                      v-if="scope.row.userid == userid">
                        <img src="../../../assets/listdel.svg" alt="">
                        <span style="color: #DE4C41;">删除</span>
                      </div>
                    </div>
                  </div>
                  <el-button slot="reference" class="BtnH" style="border: none;padding: 5px;">
                    <i class="el-icon-more"></i>
                  </el-button>
              </el-popover>
            </template>
          </el-table-column>
        </el-table>
      </div>
      <el-pagination
        class="pageBox"
        style="margin-top: 10px"
        layout="total, prev, pager, next"
        :page-size="limit"
        :total="total"
        @current-change="handleCurrentChange"
      >
      </el-pagination>
    </div>
    <div v-if="proVisible" class="mask">
      <div class="progressBox">
        <div class="lbox">
          <img src="../../../assets/loading.gif" />上传中，请稍后
        </div>
      </div>
    </div>
    <wpdf :dialogVisiblePdf.sync="dialogVisiblePdf" :url="wurl"></wpdf>
    <wVideo :dialogVisibleVideo.sync="dialogVisibleVideo" :url="wurl"></wVideo>
    <wOffice
      :dialogVisibleOffice.sync="dialogVisibleOffice"
      :url="wurl"
    ></wOffice>
    <relateFiles ref="relateFiles"></relateFiles>
    <checkDialog ref="checkDialog"></checkDialog>
  </div>
</template>

<script>
import officeImg from "../../../assets/icon/sourceFile/office.png";
import pdfImg from "../../../assets/icon/sourceFile/pdf.png";
import videoImg from "../../../assets/icon/sourceFile/video.png";
import otherImg from "../../../assets/icon/sourceFile/other.png";
import checkImg from "../../../assets/icon/sourceFile/check.png";
import checkIsImg from "../../../assets/icon/sourceFile/check_is.png";
// 导入SVG组件
import look1 from '../../../assets/look1.svg';
import look2 from '../../../assets/look2.svg';
import tqList2 from '../../../assets/tqList2.svg';
import tqList from '../../../assets/tqList.svg';
import yichu from '../../../assets/yichu.svg';
import yichu2 from '../../../assets/yichu2.svg';


import wVideo from "../test/file/wVideo.vue";
import wpdf from "../test/file/wPdf2.vue";
import wOffice from "../test/file/wOffice.vue";

import { v4 as uuidv4 } from "uuid";
import relateFiles from "./components/relateFiles";
import checkDialog from "./components/checkDialog";
export default {
  components: {
    wVideo,
    wpdf,
    wOffice,
    relateFiles,
    checkDialog
  },
  props: {
    userid: {
      type: String
    },
    typeArray: {
      type: Array
    },
    pid: {
      type: String
    },
    folderid: {
      type: String
    },
    moFolderid: {
      type: String
    },
    data: {
      type: Object
    }
  },
  watch: {
    pid: {
      immediate: true,
      deep: true,
      handler(newValue, oldValue) {
        this.fileArray = [];
        this.checkArray = [];
        this.fileName = "";
        this.proVisible = false;
        this.page = 1;
        this.getData();
      }
    }
  },
  data() {
    return {
      look1:look1,
      look2:look2,
      tqList2:tqList2,
      tqList:tqList,
      yichu:yichu,
      yichu2:yichu2,
      isHover:false,
      isHover2:false,
      isHover3:false,

      
      isLoading: false,
      proVisible: false,
      stype: 2,
      fileArray: [],
      officeImg: officeImg,
      pdfImg: pdfImg,
      videoImg: videoImg,
      otherImg: otherImg,
      checkImg: checkImg,
      checkIsImg: checkIsImg,
      checkArray: [],
      checkArray2: [],
      dialogVisiblePdf: false,
      dialogVisibleVideo: false,
      dialogVisibleOffice: false,
      wurl: "",
      moveBox: false,
      checkTypeArray: [],
      moveChild: "",
      fileName: "",
      limit: 10,
      total: 0,
      page: 1,
      debounceTimeout: null
    };
  },
  computed: {
    getState() {
      return function(item) {
        if (item == "success") {
          return "成功";
        } else if (item == "failed") {
          return "失败";
        } else if (item == "augmenting") {
          return "上传中";
        } else if (item == "pending") {
          return "待处理";
        } else if (item == "enriched") {
          return "enriched";
        } else if (!item) {
          return "上传中";
        } else {
          return item;
        }
      };
    },
    getState2() {
      return function(item) {
        if (item == "success") {
          return "成功";
        } else if (item == "failed") {
          return "失败";
        } else if (item == "pending") {
          return "待处理";
        } else if (item == "processing") {
          return "处理中";
        } else if (item == "enriched") {
          return "enriched";
        } else if (!item) {
          return "上传中";
        } else {
          return item;
        }
      };
    }
  },
  methods: {
    goBackPage(){
      this.$emit("goCheckType", this.pid.split("/")[0]);
    },
    handleCurrentChange(val) {
      this.page = val;
      this.getData();
    },
    getData() {
      this.isLoading = true;
      let params = {
        uid: this.userid,
        folderid: this.folderid,
        n: this.fileName.trim(),
        page: this.page,
        num: this.limit
      };
      this.ajax
        .post(this.$store.state.fileApi + "getFileD", [params])
        .then(res => {
          this.isLoading = false;
          console.log(res.data);
          this.total = res.data.result.length ? res.data.result[0].num : 0;
          this.fileArray = res.data.result;
        })
        .catch(err => {
          this.isLoading = false;
          console.error(err);
        });
    },
    handleSelectionChange(selectedRows) {
      this.checkArray = selectedRows.map(row => row.id);
      this.checkArray2 = selectedRows.map(row => ({
        id: row.id,
        documentid: row.documentid
      }));
    },
    addImg(e) {
      var el = e.currentTarget;
      el.getElementsByTagName("input")[0].click();
      e.target.value = "";
    },
    handleDrop(event) {
      event.preventDefault(); // 阻止默认的浏览器下载行为
      const files = event.dataTransfer.files;
      if (files.length) {
        this.beforeUpload({ target: { files } });
      }
    },
    debouncedSearch() {
      clearTimeout(this.debounceTimeout);
      this.debounceTimeout = setTimeout(() => {
        this.serchFile();
      }, 300);
    },
    serchFile() {
      this.page = 1;
      this.getData();
    },
    async beforeUpload(event) {
      let file = "";
      let cfindex2 = 0;
      this.proVisible = true;
      const allowedExtensions = [
        "csv",
        "xls",
        "xlsx",
        "md",
        "pdf",
        "txt",
        "ppt",
        "pptx",
        "docx"
      ];
      //     let uuid = uuidv4();
      // let res = window.uploadFile({ file: event.target.files[0], uuid, userid:this.userid, folderid:this.folderid, moFolderid: this.moFolderid })
      // console.log(res);

      // return
      const uploadFiles = async files => {
        for (let cfindex = 0; cfindex < files.length; cfindex++) {
          file = files[cfindex];
          const fileExtension = file.name
            .split(".")
            .pop()
            .toLowerCase();

          if (!allowedExtensions.includes(fileExtension)) {
            this.$message.error(`不支持的文件格式: ${file.name}`);
            await new Promise(resolve => setTimeout(resolve, 1000)); // 延迟1秒再跳过
            continue; // 跳过不支持的文件
          }

          let uuid = uuidv4();
          let formData = new FormData();
          const timestamp = Date.now();
          const baseName = file.name.slice(0, -(fileExtension.length + 1));
          let string = [this.folderid, this.moFolderid].filter(id => id);
          formData.append(
            "file",
            new File([file], `${baseName}${timestamp}.${fileExtension}`)
          );
          formData.append("collection_ids", JSON.stringify(string));
          formData.append("id", uuid);
          formData.append(
            "metadata",
            JSON.stringify({ title: file.name, collection_ids: string })
          );
          formData.append("ingestion_mode", "fast");

          // 使用同步方式上传文件
          await this.uploadFile(formData, file.name, uuid);

          // 每5秒上传一次
          if (cfindex < files.length - 1) {
            await new Promise(resolve => setTimeout(resolve, 5000));
          }
        }
        setTimeout(() => {
          this.proVisible = false;
          this.$message.success("操作完成");
          this.getData(); // 在上传完所有文件后再调用getData
        }, 1000);
      };

      await uploadFiles(event.target.files);
    },
    async uploadFile(formData, name, uuid) {
      try {
        this.ajax.post("https://r2rserver.cocorobo.cn/v3/documents", formData, {
          headers: {
            "Content-Type": "multipart/form-data"
          }
        }).then(res => {
          console.log(res, formData);
          const message = res.data.results && res.data.results.message;
          const status = message === 'Document created and ingested successfully.' ? 'success' : 'failed';
          const msg = message === 'Document created and ingested successfully.' ? '上传成功' : '上传失败';
          this.$message({
            message: msg,
            type: status == 'success' ? status : 'error'
          })
          this.fileArray.forEach(e => {
            if (e.documentid === uuid) {
              e.ingestionStatus = status;
            }
          });
        }).catch(err => {
          this.$message.error('上传失败')
          this.fileArray.forEach(e => {
            if (e.documentid === uuid) {
              e.ingestionStatus = 'failed';
            }
          });
          console.error(err);
        });

        let docid = uuid;
        let params = {
          n: name,
          did: docid,
          uid: this.userid,
          fid: this.folderid,
          mofid: this.moFolderid != this.folderid ? this.moFolderid : ""
        };
        const res2 = await this.ajax.post(this.$store.state.api + "addFile", [
          params
        ]);

        console.log(res2);
      } catch (err) {
        console.error(err);
        this.$message.error("上传失败");
      }
    },
    formatFileSize(bytes) {
      if (bytes < 1024) {
        return bytes + "B";
      } else if (bytes < 1048576) {
        return (bytes / 1024).toFixed(2) + "KB";
      } else if (bytes < 1073741824) {
        return (bytes / 1048576).toFixed(2) + "MB";
      } else {
        return (bytes / 1073741824).toFixed(2) + "GB";
      }
    },
    deleteFile(fileid, documentid) {
      this.$confirm("确定删除该文件吗?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          let params = [
            {
              ids: fileid,
              documentids: documentid
            }
          ];
          this.ajax
            .post(this.$store.state.fileApi + "deleteFile", params)
            .then(res => {
              this.$message({
                message: "删除成功",
                type: "success"
              });
              this.checkArray = [];
              this.checkArray2 = [];
              this.$refs.myTable.clearSelection();
              this.getData();
            })
            .catch(err => {
              this.$message.error("删除失败");
              console.error(err);
            });
        })
        .catch(() => {});
    },
    batchDelete() {
      if (!this.checkArray.length) {
        this.$message.warning("请选择要删除的文件");
        return;
      }
      let array = this.checkArray2.map(item => item.id);
      let array2 = this.checkArray2.map(item => item.documentid);
      this.deleteFile(array.join(","), array2.join(","));
    },
    removeFile(fileid, documentid) {
      this.$confirm("确定移除该文件吗?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          let params = [
            {
              ids: fileid,
              documentids: documentid,
              folderid: this.folderid
            }
          ];
          this.ajax
            .post(this.$store.state.fileApi + "removeFile", params)
            .then(res => {
              this.$message({
                message: "移除成功",
                type: "success"
              });
              this.checkArray = [];
              this.checkArray2 = [];
              this.$refs.myTable.clearSelection();
              this.getData();
            })
            .catch(err => {
              this.$message.error("移除失败");
              console.error(err);
            });
        })
        .catch(() => {});
    },
    batchRemove() {
      if (!this.checkArray.length) {
        this.$message.warning("请选择要移除的文件");
        return;
      }
      let array = this.checkArray2.map(item => item.id);
      let array2 = this.checkArray2.map(item => item.documentid);
      this.removeFile(array.join(","), array2.join(","));
    },
    isSelectable(row) {
      return row.isMo !== "2";
    },
    openG() {
      this.$refs.relateFiles.openG(this.userid, this.folderid, this.moFolderid);
    },
    checkFile(row) {
      if (row.ingestionStatus != "success") return this.$message.info('文件未上传成功，点击刷新查看实时状态')

      this.$refs.checkDialog.openG(row.documentid);
    },
    extractFile(row) {
      if (row.ingestionStatus != "success") return this.$message.info('文件未上传成功，点击刷新查看实时状态')

      let params = {
        documentid: row.documentid
      };
      // 获取切片
      try {
        const res = this.ajax.post(this.$store.state.fileApi + "extractFile2", [
          params
        ]).then(res => {
          console.log(res, row);
          const message = res.data.result && res.data.result.message;
          const status = message === 'Document entities and relationships extracted successfully.' ? 'success' : 'failed';
          const msg = message === 'Document entities and relationships extracted successfully.' ? '提取成功' : '提取失败';
          this.$message({
            message: msg,
            type: status == 'success' ? status : 'error'
          })
          this.fileArray.forEach(e => {
            if (e.documentid === row.documentid) {
              e.extractionStatus = status;
            }
          });
        }).catch(err => {
          this.$message.error('提取失败')
          this.fileArray.forEach(e => {
            if (e.documentid === row.documentid) {
              e.extractionStatus = 'failed';
            }
          });
          console.error(err);
        });;

        console.log(res.data);
        this.$message.success("提取文件中");
        this.getData();
      } catch (err) {
        console.error(err);
      }
    }
  },
  mounted() {
    // this.getData();
    //  const script = document.createElement('script');
    // script.src = 'https://beta.cloud.cocorobo.cn/js/Common/uploadR2R.js';
    // script.type = 'text/javascript';
    // script.defer = true;  // 或者 async，根据需要
    // script.onload = () => {
    //   console.log('上传脚本加载成功');
    //   // 你可以在这里使用上传文件的功能了
    // };
    // script.onerror = () => {
    //   console.error('上传脚本加载失败');
    // };
    // document.head.appendChild(script);
  }
};
</script>

<style scoped>
.f_box {
  width: 100%;
  /* height: 100%; */
  position: relative;
  min-height: 400px;
  display: flex;
  flex-direction: column;
}

.f_box_top {
  display: flex;
  align-items: center;
  padding: 10px 0 12px;
  padding-top: 0px;
  width: 100%;
  box-sizing: border-box;
}

.f_box_top_left {
  display: flex;
  align-items: center;
}

.f_box_top_title {
  font-size: 16px;
  color: rgba(8, 13, 30, .9);
  /* font-weight: bold; */
}

.btn {
  display: flex;
  cursor: pointer;
  align-items: center;
  height: 30px;
  padding: 0 8px;
  background: rgb(0, 97, 255);
  color: #fff;
  box-sizing: border-box;
  border-radius: 4px;
  font-size: 14px;
  align-items: center;
}

.btn2 {
  display: flex;
  cursor: pointer;
  align-items: center;
  height: 30px;
  padding: 0 8px;
  background: #fff;
  color: rgb(0, 97, 255);
  border: 1px solid rgb(0, 97, 255);
  box-sizing: border-box;
  border-radius: 4px;
  font-size: 14px;
  align-items: center;
}

.f_box_top .delBtn {
  background: rgb(255, 0, 13);
}

.btn + .btn2,
.btn + .btn,
.btn2 + .btn2,
.btn2 + .delBtn {
  margin-left: 15px;
}

.f_box_top_right {
  margin-left: auto;
  /* max-width: calc(100% - 280px); */
  overflow: hidden;
  display: flex;
  /* align-items: center; */
}

.f_box_top_right > .input {
  position: relative;
  height: 40px;
}
.f_box_top_right >>> .el-button{
  height: 35px !important;
  font-size: 12.8px;
  background-color: #3370FF;
  border-radius: 6px;
  margin-left: 12px;
}
.f_box_top_right >>>.el-button--primary:focus,.f_box_top_right>>> .el-button--primary:hover{
  filter: brightness(120%);
}


.f_box_top_right >>> .el-icon-plus:before {
  font-size: 14px;
  font-weight: 600;
  /* vertical-align: middle;  */
}
.f_box_top_right > .input > input {
  width: 100%;
  height: 100%;
  border: 1px solid #dcdfe6;
  border-radius: 5px;
  padding: 0 15px 0 45px;
  box-sizing: border-box;
  font-size: 14px;
  width: 250px;
  height: 36px;
  font-size: 12.8px;
  border-radius: 6px;
  outline: none;
}

.f_box_top_right > .input > .serch {
  content: "";
  display: block;
  width: 20px;
  height: 20px;
  background-image: url("../../../assets/icon/sourceFile/search.png");
  background-size: 100% 100%;
  position: absolute;
  left: 13px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.f_box_top_right > .tab {
  height: 30px;
  width: 80px;
  margin-left: 15px;
  background: #e7e7e7;
  border: 2px solid #d9d9d9;
  border-radius: 5px;
  box-sizing: border-box;
  overflow: hidden;
  display: flex;
  align-items: center;
}

.f_box_top_right > .tab > .table,
.f_box_top_right > .tab > .list {
  width: 50%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.f_box_top_right > .tab > .list::before {
  content: "";
  display: block;
  width: 20px;
  height: 20px;
  background-image: url("../../../assets/icon/sourceFile/list.png");
  background-size: 100% 100%;
}

.f_box_top_right > .tab > .list.active,
.f_box_top_right > .tab > .table.active {
  background: #fff;
}

.f_box_top_right > .tab > .table::before {
  content: "";
  display: block;
  width: 20px;
  height: 20px;
  background-image: url("../../../assets/icon/sourceFile/table.png");
  background-size: 100% 100%;
}

.mask {
  /* background-color: rgb(0 0 0 / 30%); */
  /* position: fixed; */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 90;
  display: flex;
  align-items: center;
  justify-content: center;
}

.progressBox {
  width: 300px;
  height: 150px;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 0 6px 1px #bfbfbf;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  color: #6c6c6c;
}

.progressBox >>> .el-progress-bar__outer {
  background-color: #d1dfff !important;
}

.progressBox .lbox {
  height: 50px;
  font-size: 19px;
  display: flex;
  align-items: center;
  color: #747474;
}

.progressBox .lbox img {
  width: 40px;
  margin-right: 20px;
}

.closeCss {
  position: absolute;
  top: 8px;
  right: 8px;
  cursor: pointer;
  width: 20px;
  height: 20px;
}

.closeCss > img {
  width: 100%;
  height: 100%;
}

.f_box_file_square {
  height: calc(100% - 55px);
  overflow: auto;
  width: 100%;
  padding: 55px;
  box-sizing: border-box;
  display: flex;
  flex-wrap: wrap;
  align-content: flex-start;
  position: relative;
}

.f_box_file_square > .f_box_file {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 160px;
  height: 160px;
  cursor: pointer;
  margin: 0 36px 36px 0;
  border-radius: 20px;
  position: relative;
}

.f_box_file_square > .f_box_file:hover {
  background: #f0f2f5;
}

.f_box_file_square > .f_box_file:hover > .check {
  display: block;
}

.f_box_file_square > .f_box_file.check {
  background: #e0eafb;
}

.f_box_file_square > .f_box_file.check > .check {
  display: block;
}

.f_box_file_square > .f_box_file > .check {
  position: absolute;
  left: 15px;
  top: 15px;
  width: 16px;
  height: 16px;
  background-size: 100%;
  display: none;
}

.f_box_file_square > .f_box_file > .check > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.f_box_file_square > .f_box_file > img {
  width: 90px;
  height: 90px;
  object-fit: cover;
}

.f_box_file_square > .f_box_file > .name {
  white-space: nowrap;
  font-size: 14px;
  max-width: 80%;
  overflow: hidden;
  margin: 4px auto 0;
  text-overflow: ellipsis;
  text-align: center;
}

.f_box_file_list {
  /* height: calc(100% - 55px); */
  /* overflow: auto; */
  width: 100%;
  padding: 10px 0;
  padding-top: 0;
  box-sizing: border-box;
}

.f_box_file_list > .f_box_file {
}

.f_box_file_list >>> .el-table-column--selection .cell{
    display: flex !important;
    align-items: center !important;
}
.f_box_file_allCheck {
  display: flex;
  align-items: center;
  position: absolute;
  font-size: 14px;
  top: 20px;
  left: 10px;
  cursor: pointer;
}

.f_box_file_allCheck > img {
  width: 16px;
  height: 16px;
  object-fit: cover;
  margin-right: 5px;
}

.el-dialogClass>>>.el-dialog{
  border-radius: 8px;
}
.dialog >>> .el-dialog__body {
  padding: 10px 20px;
}

.type_nav_box {
}

.type_nav_box > .nav {
  height: 40px;
  border-radius: 5px;
  cursor: pointer;
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0 10px;
  box-sizing: border-box;
  margin-bottom: 10px;
  font-size: 16px;
  color: #000;
}

.type_nav_box > .nav > .down {
  min-width: 14px;
  height: 14px;
  background-image: url("../../../assets/icon/sourceFile/icon_arrow.png");
  background-size: 100% 100%;
  margin-right: 10px;
  transition: all 0.3s;
  transform: rotate(-90deg);
}

.type_nav_box > .nav.active > .down {
  transform: rotate(0deg);
}

.type_nav_box > .nav > .file {
  min-width: 18px;
  height: 18px;
  background-image: url("../../../assets/icon/sourceFile/file.png");
  background-size: 100% 100%;
  margin-right: 10px;
}

.type_nav_box > .nav > .name {
  max-width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.type_nav_box > .child {
}

.type_nav_box > .child > .nav {
  height: 40px;
  border-radius: 5px;
  cursor: pointer;
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0 10px 0 50px;
  box-sizing: border-box;
  margin-bottom: 10px;
  font-size: 16px;
  color: #000;
}

.type_nav_box > .child > .nav.active {
  background: #e0eafb;
}

.type_nav_box > .child > .nav > .file {
  min-width: 18px;
  height: 18px;
  background-image: url("../../../assets/icon/sourceFile/file.png");
  background-size: 100% 100%;
  margin-right: 10px;
}

.type_nav_box > .child > .nav > .name {
  max-width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.none_box {
  height: calc(100% - 55px);
  overflow: auto;
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}

.list_file_box {
  width: 100%;
}
.list_file_box >>> .el-table__empty-block{
  height: 300px !important;
  display: flex;
  align-items: center;
}
.list_file_box >>> .el-table__empty-block div{
  display: flex;
  flex-direction: column;
  align-items: center;
  /* justify-content: center; */
}
.customC{
  /* height: 300px; */

  /* width: 100px; */
  /* height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  font-size: 14px;
  margin-top: .5rem;
  color: #667085; */
}
.list_file_box >>>table th{
  border:none !important;
  background-color: #F0F2F5 !important; /* 浅灰色背景 */
  color: #00000099 !important;
}
.list_file_box >>>table tr td{
  border:none !important;
  border-bottom: 1px solid #EBEEF5 !important;
}

.list_file_box >>>table tr {
  border:1px #000 solid !important;
}

.list_file_box >>> .el-table__header-wrapper{
  margin-bottom: 10px !important;
}

.list_file_box >>> .el-table__row{
  border: 1px #ccc solid;
}
.list_file_box >>>table tr td:nth-child(1){
  border-radius: 10px 0 0 10px !important;
}
.list_file_box >>>table tr td:nth-last-child(1){
  border-radius: 0 10px 10px 0 !important;
}

.list_file_box >>>table tr th:nth-child(1){
  border-radius: 10px 0 0 10px;
}

.list_file_box >>>table tr th:nth-last-child(2){
  border-radius: 0 10px 10px 0 !important;
}
.list_file_box >>>.el-table::before{
  background-color: #fff;
}
.list_file_box >>>.el-table--border::after{
  background-color: #fff;
}
.list_file_box >>> .el-table--border{
  border: none;
  border-bottom: 1px solid #EBEEF5;
}


.BtnH >>> .el-button{
  padding: 5px !important;
  width: 30px !important;
  color: #4C5567;
}
.BtnH >>> .el-button:focus,.BtnH >>> .el-button:hover{
  background: #E8EBF0 !important;
  color: #487FFF !important;
}
.BtnH >>> .el-button--small, .el-button--small.is-round{
  border: none;
  padding: 0;
}

.BtnHP{
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.BtnHP >>>.el-popper .popper__arrow, .el-popper .popper__arrow::after{
  display: none;
}
.BtnHP >>> .el-button--text{
  color: #667095;
}
.BtnHP img{
  width: 16px;
}




.BtnHPDel{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
}
.BtnHPDel >>> .el-button+.el-button{
  padding: 0;
}
.BtnHPDel >>> .el-button:focus,.BtnHPDel >>> .el-button:hover{
  background: #E8EBF0 !important;
}
/* .BtnHPDel >>> .el-button:hover .lookHp{

} */
.lookHp2{
  color: #6c6c6c;
}
.lookHp2{
  color: #487FFF;
}
/* .btnBh{
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  height: 28px;
  border-radius: 5px;
}
.btnBh:hover{
  background: #F0F4FF;
}
.btnBh img{
  margin-right: 5px;
} */

.btnBh2 img{
  width: 17px;
  margin-right: 5px;
  padding: 1.5px;
  box-sizing: border-box;
}
.btnBh2:hover{
  background: #FBEAE8;
}
.list_file_name {
  display: flex;
  align-items: center;
}

.list_file_name > img {
  width: 24px;
  height: 24px;
  object-fit: cover;
  margin-right: 5px;
}

.list_file_name > div {
  max-width: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.pageBox{
  display: flex;
}
.pageBox >>> .el-pagination__total{
  margin-right: auto;
}
.btnBh2{
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 5px 8px;
  border-radius: 6px;
  box-sizing: border-box;
}
.btnBh{
  display: flex;
  cursor: pointer;
  border-radius: 6px;
  padding: 5px 8px;
}
</style>

<style>
.custom-popover {
  min-width: 70px !important;
  width: auto !important;
  padding: 8px 10px;
  border-radius: 8px;
}
/* .custom-popover2 {
  min-width: 88px !important;
  width: auto !important;
  padding: 8px;
  top: 414px !important;
  text-align: center;
} */
.BtnH >>> .el-button{
  padding: 5px !important;
  width: 30px !important;
  color: #4C5567;
}
.BtnH >>> .el-button:focus,.BtnH >>> .el-button:hover{
  background: #E8EBF0 !important;
  color: #487FFF !important;
}


.BtnHPDel1 >>> .el-button:focus, .BtnHPDel1 >>> .el-button:hover{
  background: #F0F4FF ;
  color: #082e86 !important;
}

.BtnHPDel >>> .el-button:focus,.BtnHPDel >>> .el-button:hover{
  background: #FBEAE8 !important;
  color: #DE4C41 !important;
}

.BtnH >>> .el-button--small, .el-button--small.is-round{
  border: none;
  padding: 0;
}
.BtnHP{
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.BtnHPDel{
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.BtnHPDel1{
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.BtnHP >>> .el-button{
  color: #4C5567;
  margin-left: 0 !important;
}
.BtnHP >>>.el-popper .popper__arrow, .el-popper .popper__arrow::after{
  display: none;
}
.btnBh{
  display: flex;
  /* align-items: center; */
  justify-content: center;
  cursor: pointer;
  /* height: 28px; */
  border-radius: 6px;
  padding: 6px 9px;
}
.btnBh:hover{
  background: #F0F4FF;
}
.btnBh img{
  margin-right: 5px;
  width: 17px;
}
.btnBh2{
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  height: 28px;
  padding: 0 10px;
  border-radius: 5px;
}
.btnBh2 img{
  width: 14px;
  margin-right: 5px;
}
.btnBh2:hover{
  background: #FBEAE8;
}
.lookHp2{
  color: #6c6c6c;
}
.lookHp2{
  color: #487FFF;
}
.list_file_box >>> .el-table__empty-text{
  display: flex;
  justify-content: center;
  line-height: 22px !important;
}

.list_file_box >>> .el-table-column--selection .cell{
    display: flex !important;
    align-items: center !important;
}
</style>

